SKB_PREPARE_SEQ_RE(9)

NAME
skb_prepare_seq_read - Prepare a sequential read of skb data

SYNOPSIS

void skb_prepare_seq_read (struct sk_buff * skb, unsigned int from, unsigned int to, struct skb_seq_state * st);

ARGUMENTS

skb the buffer to read

from
    lower offset of data to be read

to  upper offset of data to be read

st  state variable

DESCRIPTION

Initializes the specified state variable. Must be called before invoking skb_seq_read for the first time.